{% extends "homepage/base.html" %}
{% load crispy_forms_tags i18n breadcrumbs %}

{% block page_title %}
  {% translate 'Homepages' %}
{% endblock %}

{% block breadcrumbs %}
  {{ block.super }}
  {% breadcrumb "Homepage list" "homepage:list" %}
{% endblock %}

{% block content %}
  <div id="homepage-list">

    <div class="row row-cards">
      {% for homepage in object_list %}

        {% load i18n %}
        <div class="col-12 col-md-6 col-lg-4">
          <div class="card card-link" >
            <div class="card-header card-header-light">
              <h3 class="card-title">
                <span>{{ homepage }}</span>
              </h3>
              <div class="card-actions">
                <a
                    href="{% url 'homepage:update' pk=homepage.pk %}"
                    title="{% translate 'Edit' %}"
                    class="btn btn-sm"
                >
                  <i class='bi bi-pencil'></i>
                </a>
                <button
                    type="button"
                    data-bs-toggle="modal"
                    data-bs-target="#homepage-{{homepage.pk}}-delete-modal"
                    id="delete-homepage-{{ homepage.pk }}"
                    class="btn btn-sm delete-homepage"
                ><i class="bi bi-trash text-danger"></i>
                </button>
              </div>
            </div>
            <img class="card-img-top img-responsive" src="#" alt="Screenshot">
            <div class="card-footer text-center">
              <span class="text-muted small">{{ homepage.domain }}</span>
            </div>
          </div>
        </div>
        </div>
        <div id='homepage-{{homepage.pk}}-delete-modal' class='modal' tabindex="-1">
          <div class="modal-dialog">
            <div class="modal-content">
              <div class="modal-header">
                <h1 class="modal-title fs-5" id="exampleModalLabel">
                  {% blocktranslate with domain=homepage.domain %}Delete {{ domain }}?{% endblocktranslate %}</h1>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
              </div>
              <div class="modal-body">
                <div class='modal-content'>
                  <p>
                    {% blocktranslate with domain=homepage.domain %}
                      Do you really want to delete the homepage <b>{{domain}}</b>?
                    {% endblocktranslate %}
                  </p>
                </div>
              </div>
              <div class="modal-footer">
                <form action="{% url 'homepage:delete' homepage.pk %}" method='post'>
                  {% csrf_token %}
                  <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">
                    {% translate 'Cancel' %}
                  </button>
                  <button
                      type="submit"
                      class="btn btn-danger"
                      data-bs-dismiss="modal"
                  >{% translate 'Delete' %}</button>
                </form>
              </div>
            </div>
          </div>
        </div>
      {% endfor %}
  </div>


{% endblock %}